Skip to main content
POST
/
api
/
v2
/
payments
Create payment
curl --request POST \
  --url https://rcur.app/api/v2/payments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 29.99,
  "currency": "EUR",
  "mollie_customer_id": "cst_abc123",
  "description": "Order #2025-001",
  "redirect_url": "https://example.com/thank-you",
  "method": "ideal",
  "webhook_url": "https://example.com/webhook",
  "mollie_profile_id": "pfl_abc123"
}
'
{
  "id": "pay_abc123",
  "mollie_payment_id": "tr_abc123",
  "status": "open",
  "mollie_checkout_url": "https://www.mollie.com/checkout/test-mode?method=ideal&token=abc123"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Payment data

amount
number
required

Payment amount

Example:

29.99

currency
enum<string>
required

Currency

Available options:
EUR
Example:

"EUR"

mollie_customer_id
string
required

Mollie customer ID

Example:

"cst_abc123"

description
string
required

Payment description

Example:

"Order #2025-001"

redirect_url
string
required

URL to redirect after payment

Example:

"https://example.com/thank-you"

method
enum<string>

Payment method

Available options:
ideal,
creditcard,
bancontact,
sofort,
eps,
giropay,
belfius,
kbc,
banktransfer
Example:

"ideal"

webhook_url
string

Webhook URL for status updates

Example:

"https://example.com/webhook"

mollie_profile_id
string

Mollie profile ID

Example:

"pfl_abc123"

Response

Payment created successfully

id
string
required
Example:

"pay_abc123"

mollie_payment_id
string
required
Example:

"tr_abc123"

status
enum<string>
required
Available options:
open,
pending
Example:

"open"

mollie_checkout_url
string
required
Example:

"https://www.mollie.com/checkout/test-mode?method=ideal&token=abc123"